## com.vividsolutions.jts.io
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.vividsolutions.jts.io.ParseException

All Implemented Interfaces:
  java.io.Serializable

public class ParseException
extends java.lang.Exception

Thrown by a `WKTReader` when a parsing problem occurs.

Version:
  1.7
See Also:
  Serialized Form

Constructor Summary
`ParseException(java.lang.Exception e)` Creates a `ParseException` with `e`s detail message.
`ParseException(java.lang.String message)` Creates a `ParseException` with the given detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException(java.lang.String message)

  Creates a `ParseException` with the given detail message.

Parameters:
  `message` - a description of this `ParseException`

### ParseException

    public ParseException(java.lang.Exception e)

  Creates a `ParseException` with `e`s detail message.

Parameters:
  `e` - an exception that occurred while a `WKTReader` was parsing a Well-known Text string